%%All following examples require 
% Piotr's Matlab toolbox: http://vision.ucsd.edu/~pdollar/toolbox/doc/
%
%%LOADING/VISUALIZING .seq VIDEOS
seqvideo = 'train/103108_A22_Block7_anaC57fe1_t.seq';
%Play video
seqPlayer(seqvideo);
%Write frames into directory
dir = 'frames/'; seqIo(seqvideo,'toImgs',dir);
%Load first 1000 frames  into variable
first = 0; last = 999;
Is = seqIo(seqvideo,'toImgs',[],[1],first,last);
%Loop through all frames
sr = seqIo(seqvideo,'reader'); info = sr.getinfo();
for i=1:info.numFrames
  sr.seek(i-1); F = sr.getframe();
end

%%VISUALIZING annotations and tracks on top of video
annfile = 'train/103108_A22_Block7_anaC57fe1_t.txt';
trackfile = 'train/103108_A22_Block7_anaC57fe1_t-track.mat';
behaviorAnnotator(seqvideo,annfile,trackfile)

%%LOADING annotations directly from annotation file
A = behaviorData(annfile);

%%LOADING ALL DATASET INFO
% See CRIM13GetInfo.m

% CRIM13 dataset      Version 1.0
% Copyright 2012 Caltech [vision.caltech.edu]
% Please email X.P. Burgos-Artizzu [xpburgos@caltech.edu] 
% if you find bugs, or have suggestions or questions!
% Licensed under the Lesser GPL 
